-- najpierw zobacz zawartosc katalogu z plikami kolumny FILESTREAM - zwroc uwage na ilosc plikow
-- a potem uruchom polecenie
USE [PLSSUG_DEMO2]
GO

SELECT *
FROM mp3.filesStream
WHERE
	fileId = 1

-- zaktualizuj kolumne 100 razy i sprawdz ilosc plikow
DECLARE @i INT = 1

WHILE @i <= 100
BEGIN
	UPDATE mp3.filesStream SET mp3File = 0x WHERE fileId = 1
	SET @i = @i + 1
END

-- plikow jest o 100 wiecej

-- usun pierwszy rekord
DELETE mp3.filesStream
WHERE fileId = 1


-- liczba plikow bez zmian